Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.util
Class LogRecordFormatter

    java.lang.Object
      net.i2p.util.LogRecordFormatter

     class LogRecordFormatter

extends Object

Render a log record according to the log manager's settings

Constructor Summary
`LogRecordFormatter()`

Method Summary
`static String` | `formatRecord(LogManager manager, LogRecord rec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogRecordFormatter

    LogRecordFormatter()

Method Detail

### formatRecord

    public static String formatRecord(LogManager manager,
                                      LogRecord rec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD